RoutesApi
Method
HTTP request
Description
ApigatewaysRoutesDelete
var result = ApigatewaysRoutesDelete(ctx, apigatewayId, routeId)
.Execute()Example
package main
import (
"context"
"fmt"
"os"
ionoscloud "github.com/ionos-cloud/sdk-go-api-gateway"
)
func main() {
apigatewayId := "0620c174-dd3c-5eb4-87c8-e2b516553a00" // string | The ID (UUID) of the Gateway.
routeId := "50982018-bb17-5cb9-bcd4-97f8bbc7dc23" // string | The ID (UUID) of the Route.
configuration := ionoscloud.NewConfiguration("USERNAME", "PASSWORD", "TOKEN", "HOST_URL")
apiClient := ionoscloud.NewAPIClient(configuration)
resp, err := apiClient.RoutesApi.ApigatewaysRoutesDelete(context.Background(), apigatewayId, routeId).Execute()
if err != nil {
fmt.Fprintf(os.Stderr, "Error when calling `RoutesApi.ApigatewaysRoutesDelete``: %v\n", err)
fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", resp)
}
}Path Parameters
Name
Type
Description
Notes
Other Parameters
Return type
HTTP request headers
URLs Configuration per Operation
ApigatewaysRoutesFindById
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Return type
HTTP request headers
URLs Configuration per Operation
ApigatewaysRoutesGet
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
ApigatewaysRoutesPost
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
ApigatewaysRoutesPut
Example
Path Parameters
Name
Type
Description
Notes
Other Parameters
Name
Type
Description
Notes
Return type
HTTP request headers
URLs Configuration per Operation
Last updated
Was this helpful?